import { SequenceItem } from "../task.sequence.factories";
import { CrossbowConfiguration } from "../config";
import { Task } from "../task.resolve";
export declare const enum LogLevel {
    Short = 0,
    Verbose = 1,
}
/**
 * There are multiple ways to output trees to the screen,
 * so this helper function helps to normalize the output
 * by providing the same padding on all but the first line.
 */
export declare function multiLineTree(tree: string): void;
/**
 * Accept any string and output each line as though
 * logger.info was called for each line (to maintain prefixes etc)
 */
export declare function multiLine(input: string): void;
export interface CrossbowError extends Error {
    _cbError?: boolean;
    _cbExitCode?: number;
}
export declare function getStack(stack: string[], config: CrossbowConfiguration): string[];
/**
 * Show a tree of function calls
 */
export declare function reportSequenceTree(sequence: SequenceItem[], config: CrossbowConfiguration, title: any, showStats?: boolean): void;
export declare function reportTaskTree(tasks: Task[], config: CrossbowConfiguration, title: string): void;
export declare function getErrors(task: any): any;
export declare function getLabel(task: any): string;
export default function (name: any, ...args: any[]): any;
